import React, {useEffect} from 'react';
import {StatusBar, StyleSheet} from 'react-native';
import Orientation from 'react-native-orientation-locker';
import {SafeAreaView} from 'react-native-safe-area-context';
import DeckButton from '../components/DeckButton';

export default function Deck() {
  useEffect(() => {
    Orientation.lockToPortrait();
  });

  const buttons = [];

  for (let i = 0; i < 21; i++) {
    let text = 'btn' + i;
    buttons.push(<DeckButton text={text} key={i} />);
  }

  return (
    <>
      <StatusBar hidden={true} />
      <SafeAreaView style={style.view}>{buttons}</SafeAreaView>
    </>
  );
}

const style = StyleSheet.create({
  view: {
    flex: 1,
    flexDirection: 'row',
    flexWrap: 'wrap',
  },
});
